import VueInfiniteDatePicker from './date-picker'


const components = [
  VueInfiniteDatePicker
]


const install = function (Vue) {
  if (install.installed) return

  components.map(component => Vue.component(component.name, component))
}


if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}


export const InfiniteDatePicker = VueInfiniteDatePicker

export default {
  // 导出的对象必须具有 install，才能被 Vue.use() 方法安装
  install,
  // 以下是具体的组件列表
  VueInfiniteDatePicker
}
